## org.exist.xquery.functions.text
Class FuzzyMatchAll

    java.lang.Object
      org.exist.xquery.AbstractExpression
          org.exist.xquery.PathExpr
              org.exist.xquery.Function
                  org.exist.xquery.functions.ExtRegexp
                      org.exist.xquery.functions.text.AbstractMatchFunction
                          org.exist.xquery.functions.text.FuzzyMatchAll

All Implemented Interfaces:
  CompiledExpression, CompiledXQuery, Expression

Direct Known Subclasses:
  FuzzyMatchAny

public class FuzzyMatchAll
extends AbstractMatchFunction

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Field Summary
`static FunctionSignature` `signature`

Fields inherited from class org.exist.xquery.Function
`BUILTIN_FUNCTION_NS`

Fields inherited from interface org.exist.xquery.Expression
`DOT_TEST, EXPRESSION_ID_INVALID, IGNORE_CONTEXT, IN_PREDICATE, IN_UPDATE, IN_WHERE_CLAUSE, NO_CONTEXT_ID, SINGLE_STEP_EXECUTION`

Constructor Summary
`FuzzyMatchAll(XQueryContext context)`
`FuzzyMatchAll(XQueryContext context, int type, FunctionSignature signature)`

Method Summary
`Sequence` `evalQuery(NodeSet nodes, java.util.List terms)`

Methods inherited from class org.exist.xquery.functions.text.AbstractMatchFunction
`mergeResults`

Methods inherited from class org.exist.xquery.functions.ExtRegexp
`eval, getDependencies, resetState`

Methods inherited from class org.exist.xquery.Function
`analyze, createFunction, dump, getArgument, getArgumentCount, getArguments, getASTNode, getCardinality, getName, getParent, getSignature, isCalledAs, returnsType, setArguments, setASTNode, setParent, setPrimaryAxis, toString`

Methods inherited from class org.exist.xquery.PathExpr
`accept, add, add, addPath, addPredicate, dump, getContext, getDocumentSet, getExpression, getLastExpression, getLength, getLiteralValue, getSource, isValid, replaceLastExpression, reset, setContext, setSource`

Methods inherited from class org.exist.xquery.AbstractExpression
`eval, getContextDocSet, getContextId, getExpressionId, setContextDocSet`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.exist.xquery.CompiledXQuery
`eval`

Field Detail

### signature

    public static final FunctionSignature signature

Constructor Detail

### FuzzyMatchAll

    public FuzzyMatchAll(XQueryContext context)

### FuzzyMatchAll

    public FuzzyMatchAll(XQueryContext context,
                         int type,
                         FunctionSignature signature)

Method Detail

### evalQuery

    public Sequence evalQuery(NodeSet nodes,
                              java.util.List terms)
                       throws XPathException

  Specified by:
    `evalQuery` in class `AbstractMatchFunction`
  Throws:
    `XPathException`

Copyright (C) Wolfgang Meier. All rights reserved.